Subject: Re: Build failure on treeboot-walnut.cg

From: Scott Wood <[email-masked]>
Date: Thu, 11 Oct 2007 15:02:37 -0500

On Thu, Oct 11, 2007 at 10:12:35AM +1000, Paul Mackerras wrote:
> Timur Tabi writes:
> 
> > Is this a new policy?  Modules in the kernel are not built unless you want 
> > them.  Even in arch/powerpc/platforms, only the specific platform file I'm 
> > targeting is built.  So I don't really understand why you claim it's normal 
> > for platform-specific files to be built, regardless of the actual platform.
> 
> The wrapper script is intended to be a standalone tool which is
> independent of the kernel configuration, and can be used separately
> from the kernel build process.

Is it ever actually used that way?  I wonder if this "intent" is worth the
pain...

-Scott